Get allowed actions
GET
/v1/{orderId}/allowed-actions
const url = 'https://example.com/orders/v1/example/allowed-actions';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/orders/v1/example/allowed-actionsReturns which state-changing operations are currently permitted on an order. The result is a point-in-time snapshot: the action itself can still be rejected with 422 if the order progresses in the meantime.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”orderId
required
string
Responses
Section titled “Responses”OK
Media typeapplication/json
object
canBeCancelled
required
boolean
Examplegenerated
{ "canBeCancelled": true}Bad Request
Media typeapplication/json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
errors
required
Array<object>
object
fieldName
required
string
message
required
string
code
required
string
traceId
required
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "errors": [ { "fieldName": "example", "message": "example" } ], "code": "example", "traceId": "example"}Unauthorized
Media typeapplication/json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
code
required
string
traceId
required
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "code": "example", "traceId": "example"}Forbidden
Media typeapplication/json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
code
required
string
traceId
required
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "code": "example", "traceId": "example"}Not Found
Media typeapplication/json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
code
required
string
traceId
required
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "code": "example", "traceId": "example"}Internal Server Error
Media typeapplication/json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
code
required
string
traceId
required
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "code": "example", "traceId": "example"}